package com.zcloud.zcGbsServicer.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.zcGbsServicer.persistence.dataobject.FireAlarmMeetingUserDO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface FireAlarmMeetingUserRepository extends BaseRepository<FireAlarmMeetingUserDO> {

    PageResponse<FireAlarmMeetingUserDO> listPage(Map<String, Object> params);
    boolean existsByLocalUserId(Long localUserId, Long tenantId, Long excludeId);
    FireAlarmMeetingUserDO getByLocalUserId(Long localUserId, Long tenantId);
    List<FireAlarmMeetingUserDO> listByLocalUserIds(Collection<Long> localUserIds, Long tenantId);

    List<FireAlarmMeetingUserDO> listAll();
}
